Index: uspace/lib/c/include/devmap.h
===================================================================
--- uspace/lib/c/include/devmap.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/devmap.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -44,11 +44,11 @@
 
 extern int devmap_driver_register(const char *, async_client_conn_t);
-extern int devmap_device_register(const char *, dev_handle_t *);
+extern int devmap_device_register(const char *, devmap_handle_t *);
 
-extern int devmap_device_get_handle(const char *, dev_handle_t *, unsigned int);
-extern int devmap_namespace_get_handle(const char *, dev_handle_t *, unsigned int);
-extern devmap_handle_type_t devmap_handle_probe(dev_handle_t);
+extern int devmap_device_get_handle(const char *, devmap_handle_t *, unsigned int);
+extern int devmap_namespace_get_handle(const char *, devmap_handle_t *, unsigned int);
+extern devmap_handle_type_t devmap_handle_probe(devmap_handle_t);
 
-extern int devmap_device_connect(dev_handle_t, unsigned int);
+extern int devmap_device_connect(devmap_handle_t, unsigned int);
 
 extern int devmap_null_create(void);
@@ -56,8 +56,8 @@
 
 extern size_t devmap_count_namespaces(void);
-extern size_t devmap_count_devices(dev_handle_t);
+extern size_t devmap_count_devices(devmap_handle_t);
 
 extern size_t devmap_get_namespaces(dev_desc_t **);
-extern size_t devmap_get_devices(dev_handle_t, dev_desc_t **);
+extern size_t devmap_get_devices(devmap_handle_t, dev_desc_t **);
 
 #endif
Index: uspace/lib/c/include/ipc/devman.h
===================================================================
--- uspace/lib/c/include/ipc/devman.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/ipc/devman.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -42,5 +42,5 @@
 #define DEVMAN_NAME_MAXLEN 256
 
-typedef ipcarg_t device_handle_t;
+typedef ipcarg_t devman_handle_t;
 
 /** Ids of device models used for device-to-driver matching.
Index: uspace/lib/c/include/ipc/devmap.h
===================================================================
--- uspace/lib/c/include/ipc/devmap.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/ipc/devmap.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -40,5 +40,5 @@
 #define DEVMAP_NAME_MAXLEN  255
 
-typedef ipcarg_t dev_handle_t;
+typedef ipcarg_t devmap_handle_t;
 
 typedef enum {
@@ -81,5 +81,5 @@
 
 typedef struct {
-	dev_handle_t handle;
+	devmap_handle_t handle;
 	char name[DEVMAP_NAME_MAXLEN + 1];
 } dev_desc_t;
Index: uspace/lib/c/include/net/device.h
===================================================================
--- uspace/lib/c/include/net/device.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/net/device.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -59,9 +59,4 @@
  */
 typedef struct device_stats device_stats_t;
-
-/** Type definition of the device usage statistics pointer.
- * @see device_stats
- */
-typedef device_stats_t *device_stats_ref;
 
 /** Device state. */
Index: uspace/lib/c/include/net/modules.h
===================================================================
--- uspace/lib/c/include/net/modules.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/net/modules.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -69,5 +69,5 @@
  *
  * @param[in] need	The needed module service.
- * @returns		The phone of the needed service.
+ * @return		The phone of the needed service.
  */
 typedef int connect_module_t(services_t need);
Index: uspace/lib/c/include/net/packet.h
===================================================================
--- uspace/lib/c/include/net/packet.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/net/packet.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -48,18 +48,8 @@
 typedef struct packet * packet_t;
 
-/** Type definition of the packet pointer.
- * @see packet
- */
-typedef packet_t * packet_ref;
-
 /** Type definition of the packet dimension.
  * @see packet_dimension
  */
 typedef struct packet_dimension	packet_dimension_t;
-
-/** Type definition of the packet dimension pointer.
- * @see packet_dimension
- */
-typedef packet_dimension_t * packet_dimension_ref;
 
 /** Packet dimension. */
Index: uspace/lib/c/include/net/packet_header.h
===================================================================
--- uspace/lib/c/include/net/packet_header.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/net/packet_header.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -124,7 +124,7 @@
 /** Returns whether the packet is valid.
  * @param[in] packet	The packet to be checked.
- * @returns		True if the packet is not NULL and the magic value is
+ * @return		True if the packet is not NULL and the magic value is
  *			correct.
- * @returns		False otherwise.
+ * @return		False otherwise.
  */
 static inline int packet_is_valid(const packet_t packet)
Index: uspace/lib/c/include/sys/stat.h
===================================================================
--- uspace/lib/c/include/sys/stat.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/sys/stat.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -43,5 +43,5 @@
 struct stat {
 	fs_handle_t fs_handle;
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 	fs_index_t index;
 	unsigned int lnkcnt;
@@ -49,5 +49,5 @@
 	bool is_directory;
 	aoff64_t size;
-	dev_handle_t device;
+	devmap_handle_t device;
 };
 
Index: uspace/lib/c/include/unistd.h
===================================================================
--- uspace/lib/c/include/unistd.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/unistd.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -41,5 +41,5 @@
 
 #ifndef NULL
-	#define NULL  0
+	#define NULL  0UL
 #endif
 
Index: uspace/lib/c/include/vfs/vfs.h
===================================================================
--- uspace/lib/c/include/vfs/vfs.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/vfs/vfs.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -47,5 +47,5 @@
 typedef struct {
 	fs_handle_t fs_handle;
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 	fs_index_t index;
 } fdi_node_t;
Index: uspace/lib/drv/generic/driver.c
===================================================================
--- uspace/lib/drv/generic/driver.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/drv/generic/driver.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -139,5 +139,5 @@
 }
 
-static device_t * driver_get_device(link_t *devices, device_handle_t handle)
+static device_t * driver_get_device(link_t *devices, devman_handle_t handle)
 {
 	device_t *dev = NULL;
@@ -163,5 +163,5 @@
 	int res = EOK;
 	
-	device_handle_t dev_handle =  IPC_GET_ARG1(*icall);
+	devman_handle_t dev_handle =  IPC_GET_ARG1(*icall);
 	device_t *dev = create_device();
 	dev->handle = dev_handle;
@@ -221,5 +221,5 @@
 	 * the device to which the client connected.
 	 */
-	device_handle_t handle = IPC_GET_ARG2(*icall);
+	devman_handle_t handle = IPC_GET_ARG2(*icall);
 	device_t *dev = driver_get_device(&devices, handle);
 
Index: uspace/lib/drv/include/driver.h
===================================================================
--- uspace/lib/drv/include/driver.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/drv/include/driver.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -118,5 +118,5 @@
 	 * device manager).
 	 */
-	device_handle_t handle;
+	devman_handle_t handle;
 	
 	/**
Index: uspace/lib/fs/libfs.c
===================================================================
--- uspace/lib/fs/libfs.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/fs/libfs.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -150,8 +150,8 @@
     ipc_call_t *request)
 {
-	dev_handle_t mp_dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t mp_devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t mp_fs_index = (fs_index_t) IPC_GET_ARG2(*request);
 	fs_handle_t mr_fs_handle = (fs_handle_t) IPC_GET_ARG3(*request);
-	dev_handle_t mr_dev_handle = (dev_handle_t) IPC_GET_ARG4(*request);
+	devmap_handle_t mr_devmap_handle = (devmap_handle_t) IPC_GET_ARG4(*request);
 	int res;
 	ipcarg_t rc;
@@ -174,5 +174,5 @@
 	
 	fs_node_t *fn;
-	res = ops->node_get(&fn, mp_dev_handle, mp_fs_index);
+	res = ops->node_get(&fn, mp_devmap_handle, mp_fs_index);
 	if ((res != EOK) || (!fn)) {
 		ipc_hangup(mountee_phone);
@@ -201,10 +201,10 @@
 	ipc_call_t answer;
 	rc = async_data_write_forward_1_1(mountee_phone, VFS_OUT_MOUNTED,
-	    mr_dev_handle, &answer);
+	    mr_devmap_handle, &answer);
 	
 	if (rc == EOK) {
 		fn->mp_data.mp_active = true;
 		fn->mp_data.fs_handle = mr_fs_handle;
-		fn->mp_data.dev_handle = mr_dev_handle;
+		fn->mp_data.devmap_handle = mr_devmap_handle;
 		fn->mp_data.phone = mountee_phone;
 	}
@@ -219,10 +219,10 @@
 void libfs_unmount(libfs_ops_t *ops, ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t mp_dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t mp_devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t mp_fs_index = (fs_index_t) IPC_GET_ARG2(*request);
 	fs_node_t *fn;
 	int res;
 
-	res = ops->node_get(&fn, mp_dev_handle, mp_fs_index);
+	res = ops->node_get(&fn, mp_devmap_handle, mp_fs_index);
 	if ((res != EOK) || (!fn)) {
 		ipc_answer_0(rid, combine_rc(res, ENOENT));
@@ -243,5 +243,5 @@
 	 */
 	res = async_req_1_0(fn->mp_data.phone, VFS_OUT_UNMOUNTED,
-	    fn->mp_data.dev_handle);
+	    fn->mp_data.devmap_handle);
 
 	/*
@@ -252,5 +252,5 @@
 		fn->mp_data.mp_active = false;
 		fn->mp_data.fs_handle = 0;
-		fn->mp_data.dev_handle = 0;
+		fn->mp_data.devmap_handle = 0;
 		fn->mp_data.phone = 0;
 		/* Drop the reference created in libfs_mount(). */
@@ -281,5 +281,5 @@
 	unsigned int last = IPC_GET_ARG2(*request);
 	unsigned int next = first;
-	dev_handle_t dev_handle = IPC_GET_ARG3(*request);
+	devmap_handle_t devmap_handle = IPC_GET_ARG3(*request);
 	int lflag = IPC_GET_ARG4(*request);
 	fs_index_t index = IPC_GET_ARG5(*request);
@@ -295,10 +295,10 @@
 	fs_node_t *tmp = NULL;
 	
-	rc = ops->root_get(&cur, dev_handle);
+	rc = ops->root_get(&cur, devmap_handle);
 	on_error(rc, goto out_with_answer);
 	
 	if (cur->mp_data.mp_active) {
 		ipc_forward_slow(rid, cur->mp_data.phone, VFS_OUT_LOOKUP,
-		    next, last, cur->mp_data.dev_handle, lflag, index,
+		    next, last, cur->mp_data.devmap_handle, lflag, index,
 		    IPC_FF_ROUTE_FROM_ME);
 		(void) ops->node_put(cur);
@@ -358,5 +358,5 @@
 			
 			ipc_forward_slow(rid, tmp->mp_data.phone,
-			    VFS_OUT_LOOKUP, next, last, tmp->mp_data.dev_handle,
+			    VFS_OUT_LOOKUP, next, last, tmp->mp_data.devmap_handle,
 			    lflag, index, IPC_FF_ROUTE_FROM_ME);
 			(void) ops->node_put(cur);
@@ -385,8 +385,8 @@
 				fs_node_t *fn;
 				if (lflag & L_CREATE)
-					rc = ops->create(&fn, dev_handle,
+					rc = ops->create(&fn, devmap_handle,
 					    lflag);
 				else
-					rc = ops->node_get(&fn, dev_handle,
+					rc = ops->node_get(&fn, devmap_handle,
 					    index);
 				on_error(rc, goto out_with_answer);
@@ -401,5 +401,5 @@
 						aoff64_t size = ops->size_get(fn);
 						ipc_answer_5(rid, fs_handle,
-						    dev_handle,
+						    devmap_handle,
 						    ops->index_get(fn),
 						    LOWER32(size),
@@ -469,7 +469,7 @@
 			fs_node_t *fn;
 			if (lflag & L_CREATE)
-				rc = ops->create(&fn, dev_handle, lflag);
+				rc = ops->create(&fn, devmap_handle, lflag);
 			else
-				rc = ops->node_get(&fn, dev_handle, index);
+				rc = ops->node_get(&fn, devmap_handle, index);
 			on_error(rc, goto out_with_answer);
 			
@@ -483,5 +483,5 @@
 					aoff64_t size = ops->size_get(fn);
 					ipc_answer_5(rid, fs_handle,
-					    dev_handle,
+					    devmap_handle,
 					    ops->index_get(fn),
 					    LOWER32(size),
@@ -509,5 +509,5 @@
 		if (rc == EOK) {
 			aoff64_t size = ops->size_get(cur);
-			ipc_answer_5(rid, fs_handle, dev_handle,
+			ipc_answer_5(rid, fs_handle, devmap_handle,
 			    ops->index_get(cur), LOWER32(size), UPPER32(size),
 			    old_lnkcnt);
@@ -547,5 +547,5 @@
 		if (rc == EOK) {
 			aoff64_t size = ops->size_get(cur);
-			ipc_answer_5(rid, fs_handle, dev_handle,
+			ipc_answer_5(rid, fs_handle, devmap_handle,
 			    ops->index_get(cur), LOWER32(size), UPPER32(size),
 			    ops->lnkcnt_get(cur));
@@ -571,9 +571,9 @@
     ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	
 	fs_node_t *fn;
-	int rc = ops->node_get(&fn, dev_handle, index);
+	int rc = ops->node_get(&fn, devmap_handle, index);
 	on_error(rc, answer_and_return(rid, rc));
 	
@@ -592,5 +592,5 @@
 	
 	stat.fs_handle = fs_handle;
-	stat.dev_handle = dev_handle;
+	stat.devmap_handle = devmap_handle;
 	stat.index = index;
 	stat.lnkcnt = ops->lnkcnt_get(fn);
@@ -617,9 +617,9 @@
     ipc_call_t *request)
 {
-	dev_handle_t dev_handle = IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = IPC_GET_ARG1(*request);
 	fs_index_t index = IPC_GET_ARG2(*request);
 	
 	fs_node_t *fn;
-	int rc = ops->node_get(&fn, dev_handle, index);
+	int rc = ops->node_get(&fn, devmap_handle, index);
 	on_error(rc, answer_and_return(rid, rc));
 	
Index: uspace/lib/fs/libfs.h
===================================================================
--- uspace/lib/fs/libfs.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/fs/libfs.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -47,5 +47,5 @@
 	int phone;
 	fs_handle_t fs_handle;
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 } mp_data_t;
 
@@ -61,10 +61,10 @@
 	 * argument holds the output argument.
 	 */
-	int (* root_get)(fs_node_t **, dev_handle_t);
+	int (* root_get)(fs_node_t **, devmap_handle_t);
 	int (* match)(fs_node_t **, fs_node_t *, const char *);
-	int (* node_get)(fs_node_t **, dev_handle_t, fs_index_t);
+	int (* node_get)(fs_node_t **, devmap_handle_t, fs_index_t);
 	int (* node_open)(fs_node_t *);
 	int (* node_put)(fs_node_t *);
-	int (* create)(fs_node_t **, dev_handle_t, int);
+	int (* create)(fs_node_t **, devmap_handle_t, int);
 	int (* destroy)(fs_node_t *);
 	int (* link)(fs_node_t *, fs_node_t *, const char *);
@@ -81,5 +81,5 @@
 	bool (* is_directory)(fs_node_t *);
 	bool (* is_file)(fs_node_t *);
-	dev_handle_t (* device_get)(fs_node_t *);
+	devmap_handle_t (* device_get)(fs_node_t *);
 } libfs_ops_t;
 
Index: uspace/lib/net/adt/module_map.c
===================================================================
--- uspace/lib/net/adt/module_map.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/adt/module_map.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -59,16 +59,16 @@
  *			running.
  * @param[in] connect_module The module connecting function.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int
-add_module(module_ref *module, modules_ref modules, const char *name,
+add_module(module_t **module, modules_t *modules, const char *name,
     const char *filename, services_t service, task_id_t task_id,
     connect_module_t connect_module)
 {
-	module_ref tmp_module;
+	module_t *tmp_module;
 	int rc;
 
-	tmp_module = (module_ref) malloc(sizeof(module_t));
+	tmp_module = (module_t *) malloc(sizeof(module_t));
 	if (!tmp_module)
 		return ENOMEM;
@@ -100,11 +100,11 @@
  * @param[in] modules	The module map.
  * @param[in] name	The module name.
- * @returns		The running module found. It does not have to be
+ * @return		The running module found. It does not have to be
  *			connected.
- * @returns		NULL if there is no such module.
+ * @return		NULL if there is no such module.
  */
-module_ref get_running_module(modules_ref modules, char *name)
+module_t *get_running_module(modules_t *modules, char *name)
 {
-	module_ref module;
+	module_t *module;
 
 	module = modules_find(modules, name, 0);
@@ -126,6 +126,6 @@
  *
  * @param[in] fname	The module full or relative path filename.
- * @returns		The new module task identifier on success.
- * @returns		Zero if there is no such module.
+ * @return		The new module task identifier on success.
+ * @return		Zero if there is no such module.
  */
 task_id_t spawn(const char *fname)
Index: uspace/lib/net/generic/generic.c
===================================================================
--- uspace/lib/net/generic/generic.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/generic/generic.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -92,13 +92,13 @@
  * @param[out] address	The desired address.
  * @param[out] data	The address data container.
- * @returns		EOK on success.
- * @returns		EBADMEM if the address parameter and/or the data
+ * @return		EOK on success.
+ * @return		EBADMEM if the address parameter and/or the data
  *			parameter is NULL.
- * @returns		Other error codes as defined for the specific service
+ * @return		Other error codes as defined for the specific service
  *			message.
  */
 int
 generic_get_addr_req(int phone, int message, device_id_t device_id,
-    measured_string_ref *address, char ** data)
+    measured_string_t **address, char ** data)
 {
 	aid_t message_id;
@@ -138,5 +138,5 @@
 int
 generic_packet_size_req_remote(int phone, int message, device_id_t device_id,
-    packet_dimension_ref packet_dimension)
+    packet_dimension_t *packet_dimension)
 {
 	if (!packet_dimension)
@@ -223,16 +223,16 @@
  * @param[out] translation The translated values.
  * @param[out] data	The translation data container.
- * @returns		EOK on success.
- * @returns		EINVAL if the configuration parameter is NULL.
- * @returns		EINVAL if the count parameter is zero.
- * @returns		EBADMEM if the translation or the data parameters are
+ * @return		EOK on success.
+ * @return		EINVAL if the configuration parameter is NULL.
+ * @return		EINVAL if the count parameter is zero.
+ * @return		EBADMEM if the translation or the data parameters are
  *			NULL.
- * @returns		Other error codes as defined for the specific service
+ * @return		Other error codes as defined for the specific service
  *			message.
  */
 int
 generic_translate_req(int phone, int message, device_id_t device_id,
-    services_t service, measured_string_ref configuration, size_t count,
-    measured_string_ref *translation, char **data)
+    services_t service, measured_string_t *configuration, size_t count,
+    measured_string_t **translation, char **data)
 {
 	aid_t message_id;
Index: uspace/lib/net/generic/net_checksum.c
===================================================================
--- uspace/lib/net/generic/net_checksum.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/generic/net_checksum.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -48,5 +48,5 @@
  *
  * @param[in] sum	Computed checksum.
- * @returns		Compacted computed checksum to the 16 bits.
+ * @return		Compacted computed checksum to the 16 bits.
  */
 uint16_t compact_checksum(uint32_t sum)
@@ -66,5 +66,5 @@
  * @param[in] data	Pointer to the beginning of data to process.
  * @param[in] length	Length of the data in bytes.
- * @returns		The computed checksum of the length bytes of the data.
+ * @return		The computed checksum of the length bytes of the data.
  */
 uint32_t compute_checksum(uint32_t seed, uint8_t *data, size_t length)
@@ -88,5 +88,5 @@
  * @param[in] data	Pointer to the beginning of data to process.
  * @param[in] length	Length of the data in bits.
- * @returns		The computed CRC32 of the length bits of the data.
+ * @return		The computed CRC32 of the length bits of the data.
  */
 uint32_t compute_crc32_be(uint32_t seed, uint8_t * data, size_t length)
@@ -142,5 +142,5 @@
  * @param[in] data	Pointer to the beginning of data to process.
  * @param[in] length	Length of the data in bits.
- * @returns		The computed CRC32 of the length bits of the data.
+ * @return		The computed CRC32 of the length bits of the data.
  */
 uint32_t compute_crc32_le(uint32_t seed, uint8_t * data, size_t length)
@@ -193,6 +193,6 @@
  *
  * @param[in] checksum	The computed checksum.
- * @returns		The internet protocol header checksum.
- * @returns		0xFFFF if the computed checksum is zero.
+ * @return		The internet protocol header checksum.
+ * @return		0xFFFF if the computed checksum is zero.
  */
 uint16_t flip_checksum(uint16_t checksum)
@@ -211,6 +211,6 @@
  * @param[in] data	The header data.
  * @param[in] length	The header length in bytes.
- * @returns		The internet protocol header checksum.
- * @returns		0xFFFF if the computed checksum is zero.
+ * @return		The internet protocol header checksum.
+ * @return		0xFFFF if the computed checksum is zero.
  */
 uint16_t ip_checksum(uint8_t *data, size_t length)
Index: uspace/lib/net/generic/net_remote.c
===================================================================
--- uspace/lib/net/generic/net_remote.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/generic/net_remote.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -49,5 +49,5 @@
 /** Connects to the networking module.
  *
- * @returns		The networking module phone on success.
+ * @return		The networking module phone on success.
  */
 int net_connect_module(void)
@@ -63,5 +63,5 @@
  * @see net_get_conf_req()
  */
-void net_free_settings(measured_string_ref settings, char *data)
+void net_free_settings(measured_string_t *settings, char *data)
 {
 	if (settings)
@@ -83,12 +83,12 @@
  * @param[in] count	The configuration entries count.
  * @param[in,out] data	The configuration and settings data.
- * @returns		EOK on success.
- * @returns		EINVAL if the configuration is NULL.
- * @returns		EINVAL if the count is zero.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		EINVAL if the configuration is NULL.
+ * @return		EINVAL if the count is zero.
+ * @return		Other error codes as defined for the
  *			generic_translate_req() function.
  */
 int
-net_get_conf_req(int net_phone, measured_string_ref *configuration,
+net_get_conf_req(int net_phone, measured_string_t **configuration,
     size_t count, char **data)
 {
@@ -110,13 +110,13 @@
  * @param[in] count	The configuration entries count.
  * @param[in,out] data	The configuration and settings data.
- * @returns		EOK on success.
- * @returns		EINVAL if the configuration is NULL.
- * @returns		EINVAL if the count is zero.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		EINVAL if the configuration is NULL.
+ * @return		EINVAL if the count is zero.
+ * @return		Other error codes as defined for the
  *			generic_translate_req() function.
  */
 int
 net_get_device_conf_req(int net_phone, device_id_t device_id,
-    measured_string_ref *configuration, size_t count, char **data)
+    measured_string_t **configuration, size_t count, char **data)
 {
 	return generic_translate_req(net_phone, NET_NET_GET_DEVICE_CONF,
Index: uspace/lib/net/generic/packet_client.c
===================================================================
--- uspace/lib/net/generic/packet_client.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/generic/packet_client.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -53,7 +53,7 @@
  * @param[in] data	The data to be copied.
  * @param[in] length	The length of the copied data.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet is not valid.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		EINVAL if the packet is not valid.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int packet_copy_data(packet_t packet, const void *data, size_t length)
@@ -78,6 +78,6 @@
  * @param[in] length	The space length to be allocated at the beginning of the
  *			packet content.
- * @returns		The pointer to the allocated memory.
- * @returns		NULL if there is not enough memory left.
+ * @return		The pointer to the allocated memory.
+ * @return		NULL if there is not enough memory left.
  */
 void *packet_prefix(packet_t packet, size_t length)
@@ -99,6 +99,6 @@
  * @param[in] length	The space length to be allocated at the end of the
  *			 packet content.
- * @returns		The pointer to the allocated memory.
- * @returns		NULL if there is not enough memory left.
+ * @return		The pointer to the allocated memory.
+ * @return		NULL if there is not enough memory left.
  */
 void *packet_suffix(packet_t packet, size_t length)
@@ -120,7 +120,7 @@
  * @param[in] suffix	The suffix length to be removed from the end of the
  *			packet content.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet is not valid.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		EINVAL if the packet is not valid.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int packet_trim(packet_t packet, size_t prefix, size_t suffix)
@@ -140,6 +140,6 @@
  *
  * @param[in] packet	The packet.
- * @returns		The packet identifier.
- * @returns		Zero if the packet is not valid.
+ * @return		The packet identifier.
+ * @return		Zero if the packet is not valid.
  */
 packet_id_t packet_get_id(const packet_t packet)
@@ -153,7 +153,7 @@
  * @param[out] src	The source address. May be NULL if not desired.
  * @param[out] dest	The destination address. May be NULL if not desired.
- * @returns		The stored addresses length.
- * @returns		Zero if the addresses are not present.
- * @returns		EINVAL if the packet is not valid.
+ * @return		The stored addresses length.
+ * @return		Zero if the addresses are not present.
+ * @return		EINVAL if the packet is not valid.
  */
 int packet_get_addr(const packet_t packet, uint8_t **src, uint8_t **dest)
@@ -174,6 +174,6 @@
  *
  * @param[in] packet	The packet.
- * @returns		The packet content length in bytes.
- * @returns		Zero if the packet is not valid.
+ * @return		The packet content length in bytes.
+ * @return		Zero if the packet is not valid.
  */
 size_t packet_get_data_length(const packet_t packet)
@@ -188,6 +188,6 @@
  *
  * @param[in] packet	The packet.
- * @returns		The pointer to the beginning of the packet content.
- * @returns		NULL if the packet is not valid.
+ * @return		The pointer to the beginning of the packet content.
+ * @return		NULL if the packet is not valid.
  */
 void *packet_get_data(const packet_t packet)
@@ -205,7 +205,7 @@
  * @param[in] dest	The new destination address. May be NULL.
  * @param[in] addr_len	The addresses length.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet is not valid.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		EINVAL if the packet is not valid.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int
@@ -254,6 +254,6 @@
  * @param[in] phone	The packet server module phone.
  * @param[in] packet	The original packet.
- * @returns		The packet copy.
- * @returns		NULL on error.
+ * @return		The packet copy.
+ * @return		NULL on error.
  */
 packet_t packet_get_copy(int phone, packet_t packet)
Index: uspace/lib/net/generic/packet_remote.c
===================================================================
--- uspace/lib/net/generic/packet_remote.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/generic/packet_remote.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -64,5 +64,5 @@
  */
 static int
-packet_return(int phone, packet_ref packet, packet_id_t packet_id, size_t size)
+packet_return(int phone, packet_t *packet, packet_id_t packet_id, size_t size)
 {
 	ipc_call_t answer;
@@ -100,12 +100,12 @@
  * @param[out] packet	The packet reference.
  * @param[in] packet_id	The packet identifier.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet parameter is NULL.
- * @returns		Other error codes as defined for the NET_PACKET_GET_SIZE
+ * @return		EOK on success.
+ * @return		EINVAL if the packet parameter is NULL.
+ * @return		Other error codes as defined for the NET_PACKET_GET_SIZE
  *			message.
- * @returns		Other error codes as defined for the packet_return()
+ * @return		Other error codes as defined for the packet_return()
  *			function.
  */
-int packet_translate_remote(int phone, packet_ref packet, packet_id_t packet_id)
+int packet_translate_remote(int phone, packet_t *packet, packet_id_t packet_id)
 {
 	int rc;
@@ -145,6 +145,6 @@
  * @param[in] max_content The maximal content length in bytes.
  * @param[in] max_suffix The maximal suffix length in bytes.
- * @returns		The packet reference.
- * @returns		NULL on error.
+ * @return		The packet reference.
+ * @return		NULL on error.
  */
 packet_t packet_get_4_remote(int phone, size_t max_content, size_t addr_len,
@@ -177,6 +177,6 @@
  * @param[in] phone	The packet server module phone.
  * @param[in] content	The maximal content length in bytes.
- * @returns		The packet reference.
- * @returns		NULL on error.
+ * @return		The packet reference.
+ * @return		NULL on error.
  */
 packet_t packet_get_1_remote(int phone, size_t content)
Index: uspace/lib/net/generic/protocol_map.c
===================================================================
--- uspace/lib/net/generic/protocol_map.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/generic/protocol_map.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -42,7 +42,7 @@
  * @param[in] nil	Network interface layer service.
  * @param[in] il	Internetwork layer service.
- * @returns		Network interface layer type of the internetworking
+ * @return		Network interface layer type of the internetworking
  *			layer service.
- * @returns		Zero if mapping is not found.
+ * @return		Zero if mapping is not found.
  */
 eth_type_t protocol_map(services_t nil, services_t il)
@@ -68,7 +68,7 @@
  * @param[in] nil	Network interface layer service.
  * @param[in] protocol	Network interface layer type.
- * @returns		Internetwork layer service of the network interface
+ * @return		Internetwork layer service of the network interface
  *			layer type.
- * @returns		Zero if mapping is not found.
+ * @return		Zero if mapping is not found.
  */
 services_t protocol_unmap(services_t nil, int protocol)
@@ -94,7 +94,7 @@
  *
  * @param[in] lsap	Link service access point identifier.
- * @returns		Ethernet protocol identifier of the link service access
+ * @return		Ethernet protocol identifier of the link service access
  *			point identifier.
- * @returns		ETH_LSAP_NULL if mapping is not found.
+ * @return		ETH_LSAP_NULL if mapping is not found.
  */
 eth_type_t lsap_map(eth_lsap_t lsap)
@@ -114,6 +114,6 @@
  *
  * @param[in] ethertype	Ethernet protocol identifier.
- * @returns		Link service access point identifier.
- * @returns		Zero if mapping is not found.
+ * @return		Link service access point identifier.
+ * @return		Zero if mapping is not found.
  */
 eth_lsap_t lsap_unmap(eth_type_t ethertype)
@@ -132,6 +132,6 @@
  *
  * @param[in] nil	The network interface service.
- * @returns		The hardware type of the network interface service.
- * @returns		Zero if mapping is not found.
+ * @return		The hardware type of the network interface service.
+ * @return		Zero if mapping is not found.
  */
 hw_type_t hardware_map(services_t nil)
